<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyeleven' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head();?>
<!--[if IE 8]>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_directory' ); ?>/css/ie8.css" />
<![endif]-->
</head>
<body <?php body_class(); ?>>
	
	<div id="topcontainer">
	
		<div id="toplinks">
			<div id="socialtab">
				<div id="facebooktab" class="socialtab">
					<div class="socialtabinner">
						<a class="socialicon facebook" target="_blank" href="http://www.facebook.com/TheOneRingnet"></a>
					</div>
				</div>
			</div>
			
			<div id="socialtab">
				<div id="twittertab" class="socialtab">
					<div class="socialtabinner">
						<a class="socialicon twitter" target="_blank" href="http://twitter.com/theoneringnet"></a>
					</div>
				</div>
			</div>
			
			<div id="socialtab">
				<div id="googletab" class="socialtab">
					<div class="socialtabinner">
						<a class="socialicon google" target="_blank" href="https://plusone.google.com/_/+1/confirm?hl=en&url=http://www.theonering.net/"></a>
					</div>
				</div>
			</div>
			
			<div id="socialtab">
				<div id="rsstab" class="socialtab">
					<div class="socialtabinner">
						<a class="socialicon rss" target="_blank" href="feed://www.theonering.net/torwp/feed/rss/"></a>
					</div>
				</div>
			</div>
			

			<div id="fellowshiptab">
				<div id="fellowshiptabinner">
					<a href="<?php if ( is_user_logged_in() ) {echo 'http://www.theonering.tv/activity';} else {echo 'http://www.theonering.tv/register';} ?>">The Fellowship</a>
				</div>
			</div>
		</div>
			
		<a id="logo" href="<?php site_url();?>"><img src="<?php bloginfo('template_directory');?>/images/logo.png" alt="The One Ring Logo"/></a>
	
		<div id="navigation">
			<div id="navigationwrap">
				<div id="centeredmenu">
					<?php storefront_mainnav(); ?>
				</div>
			</div>
		</div>
		
		<div id="adspace">
		
			<div id="adsleft">
			<?php get_template_part( 'ads', 'left' );?>
			</div>
			
			<div id="adsright">
			<?php get_template_part( 'ads', 'right' );?>
			</div>
			
		</div>
		
	</div>
	
	<div id="bottomcontainer">

	<div id="bottom-border"></div>	
		<div id="bottomwrap">

			<div id="sidebarleft">
			<?php get_template_part( 'sidebar', 'left' );?>
			</div>
			
			<div id="sidebarright">
			<?php get_template_part( 'sidebar', 'right' );?>
			</div>
			
			<div id="container-wrap">
	
