<?php
add_theme_support( 'post-thumbnails' );
if ( function_exists( 'add_image_size' ) ) { 
	add_image_size( 'square200', 200, 200, true ); //(cropped)
	add_image_size( 'square75', 75, 75, true ); //(cropped)
}

//function to call first uploaded image in functions file
function torn_post_image_small() {
	if(has_post_thumbnail()) {the_post_thumbnail('square75');

	} else {
		$attachments = get_children( array('post_parent' => get_the_ID(), 'post_type' => 'attachment', 'post_mime_type' => 'image','number posts' => 1) );
		
		if ($attachments) {
		     foreach ( $attachments as $attachment ){
				$imageurl = wp_get_attachment_url( $attachment->ID );
				$image = vt_resize( '', $imageurl, 75, 75, true );
			 }?>
			 	<a href="<?php echo the_permalink(); ?>" class="thumbnail" rel="<?php the_title(); ?>">
					<img src="<?php echo $image['url']; ?>" width="<?php echo $image['width']; ?>px" />
				</a>
	
		<?php } else {?>
		<a href="<?php echo the_permalink(); ?>" class="thumbnail" rel="<?php the_title(); ?>">
				<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/placeholder-image.jpg" width="75px" height="75px" />
			</a>
		<?php
		}
	}
}

function torn_post_image_large() {
	if(has_post_thumbnail()) {the_post_thumbnail('square200');

	} else {
		$attachments = get_children( array('post_parent' => get_the_ID(), 'post_type' => 'attachment', 'post_mime_type' => 'image','number posts' => 1) );
		
		if ($attachments) {
		     foreach ( $attachments as $attachment ){
				$imageurl = wp_get_attachment_url( $attachment->ID );
				$image = vt_resize( '', $imageurl, 200, 200, true );
			 }?>
			 	<a href="<?php echo the_permalink(); ?>" class="thumbnail" rel="<?php the_title(); ?>">
					<img src="<?php echo $image['url']; ?>" width="<?php echo $image['width']; ?>px" />
				</a>
	
		<?php } else {?>
		<a href="<?php echo the_permalink(); ?>" class="thumbnail" rel="<?php the_title(); ?>">
				<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/placeholder-image.jpg" width="200px" height="200px" />
			</a>
		<?php
		}
	}
}


add_filter( 'post_thumbnail_html', 'my_post_image_html', 10, 3 );

function my_post_image_html( $html, $post_id, $post_image_id ) {

  $html = '<a class="thumbnail" href="' . get_permalink( $post_id ) . '" title="' . esc_attr( get_post_field( 'post_title', $post_id ) ) . '">' . $html . '</a>';
  return $html;

}

/*
===============================================================
WIDGET AREAS
===============================================================
*/

if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Left Sidebar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    
if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Right Sidebar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    
/*
===============================================================
REGISTER CUSTOM MENUS
===============================================================
*/

add_theme_support( 'menus' );

add_action( 'init', 'register_my_menus' );

function register_my_menus() {
	register_nav_menus(
		array(
			'primary-menu' => __( 'Main Navigation' )/*,
			'secondary-menu' => __( 'Footer Navigation' )*/
		)
	);
}

//MAIN NAV
function storefront_mainnav() {
    if ( function_exists( 'wp_nav_menu' ) )
        wp_nav_menu( 'theme_location=primary-menu&container=&menu_id=main-nav&menu_class=&fallback_cb=storefront_mainnav_fallback' );
    else
        storefront_mainnav_fallback();
}

function storefront_mainnav_fallback() {
    echo '<ul id="main-nav">';
    wp_list_pages('title_li=&depth=3&sort_order=DESC');
    echo '</ul>';
}

/*
===============================================================
ADMIN BAR
===============================================================
*/

// show admin bar only for admins and editors
if (!current_user_can('edit_posts')) {
	add_filter('show_admin_bar', '__return_false');
}
add_action('wp_head','storefront_theme_adminbar_style');
function storefront_theme_adminbar_style() {
if (current_user_can('edit_posts')) {
?>
<style>
#logo {margin-top:28px;}
a.shopping-cart-basket {top:53px!important;}
@media handheld, only screen and (max-width: 480px) {#logo {margin-top:0px;}}
</style>
<?php } }

/*
===============================================================
CHANGE EXCERPT LENGTH
===============================================================
*/





function wpe_excerptlength_home_featured($length) {
    return 75;
}
function wpe_excerptlength_home_sub_featured($length) {
    return 12;
}
function wpe_excerptmore($more) {
    return '...';
}

function wpe_excerpt($length_callback='', $more_callback='') {
    global $post;
    if(function_exists($length_callback)){
        add_filter('excerpt_length', $length_callback);
    }
    if(function_exists($more_callback)){
        add_filter('excerpt_more', $more_callback);
    }
    $output = get_the_excerpt();
    $output = apply_filters('wptexturize', $output);
    $output = apply_filters('convert_chars', $output);
    $output = '<p>'.$output.'</p>';
    echo $output;
}



/*
===============================================================
WP-E-COMMERCE STUFF
===============================================================
*/
// remove "from" on pricing
function wpsc_remove_from_for_variations($from) {
    return '';
}
 
add_filter('wpsc_product_variation_text','wpsc_remove_from_for_variations');


// REMOVE DEFAULT THICKBOX FUNCTION FROM WPEC
add_action( 'init', 'my_deregister_stuff', 100 );
function my_deregister_stuff() {
wp_deregister_style( 'wpsc-thickbox' );
wp_deregister_script( 'wpsc-thickbox' );
}





/*
===============================================================
STYLES WITH SHORTCODES
===============================================================
*/


/**
Theme integration instructions:
copy the plugin folder into your theme directory
copy the code in this file into your themes functions.php file
 **/

//--SWS IN A THEME--------------------------------------------------------------------------------------------------------------------
if(!defined('WPCSS')):
$sws_settings = array(
	'show_ui'=>true, // show the shortcodes creation tool
	'options'=>array(
		'show_in_metabox'=>true,  //show the shortcode insert tool in a metabox instead of the s icon
		'option_show_in_metabox'=>false,//enable the option to choose between showing the insert tool in metabox or S icon	
		'metabox_title'=> __('Styles with shortcodes','css')
	),	
	'options_parameters'=>array(
		'page_title'			=>'SWS Options', //the page title of the options menu
		'menu_text'				=>'SWS Options', //the options menu text on the admin menu
		'option_menu_parent'	=>'plugins.php'  //where does the Options menu should show?
	)
);
//--- If you place the plugin folder into a diferent location, adjust the following 2 lines:
define('WPCSS_PATH', dirname( __FILE__ ). "/../styles-with-shortcodes/" ); 
define("WPCSS_URL", get_bloginfo('stylesheet_directory') . '/styles-with-shortcodes/' );

require WPCSS_PATH.'styles-with-shortcodes-theme.php';
global $sws_plugin;
$sws_plugin = new custom_shortcode_styling($sws_settings);
$sws_plugin->plugins_loaded();
//-- SWS Bundle Installation script:---------------------------------
function sws_install(){
	global $bundle;
	require_once WPCSS_PATH.'includes/bundle.php';	
	require_once WPCSS_PATH.'includes/class.ImportExport.php';
	require_once WPCSS_PATH.'includes/class.CSShortcodes.php';
	CSShortcodes::init_taxonomy();
	CSShortcodes::init_post_type(true);
	$o = new ImportExport(); 
	$o->import_bundle($bundle,$error);
	//--custom capabilities
	global $wp_roles;
	$wp_roles->add_cap('administrator','manage_sws' );	
	//--	
	return true;
}

if ( is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) {
//workaround until finding a hook for activation of themes.
	sws_install();
}
//-------------------------------------------------------- 
endif;
//--------------------------------------------------------------------------------------------------------------------

/*
===============================================================
BUDDYPRESS SCRIPTS
===============================================================
*/
if ( !function_exists( 'bp_dtheme_enqueue_scripts' ) ) :
/**
 * Enqueue theme javascript safely
 *
 * @see http://codex.wordpress.org/Function_Reference/wp_enqueue_script
 * @since 1.5
 */
function bp_dtheme_enqueue_scripts() {
	// Bump this when changes are made to bust cache
	$version = '20120531';

	// Enqueue the global JS - Ajax will not work without it
	wp_enqueue_script( 'dtheme-ajax-js', get_template_directory_uri() . '/_inc/global.js', array( 'jquery' ), $version );

	// Add words that we need to use in JS to the end of the page so they can be translated and still used.
	$params = array(
		'my_favs'           => __( 'My Favorites', 'buddypress' ),
		'accepted'          => __( 'Accepted', 'buddypress' ),
		'rejected'          => __( 'Rejected', 'buddypress' ),
		'show_all_comments' => __( 'Show all comments for this thread', 'buddypress' ),
		'show_all'          => __( 'Show all', 'buddypress' ),
		'comments'          => __( 'comments', 'buddypress' ),
		'close'             => __( 'Close', 'buddypress' ),
		'view'              => __( 'View', 'buddypress' )
	);

	wp_localize_script( 'dtheme-ajax-js', 'BP_DTheme', $params );
}
add_action( 'wp_enqueue_scripts', 'bp_dtheme_enqueue_scripts' );
endif;

//define( 'BP_DISABLE_ADMIN_BAR', true );

//define( 'BP_USE_WP_ADMIN_BAR', true );

/*
===============================================================
BODY CLASS
===============================================================
*/
// add category nicenames in body and post class
function category_id_class($classes) {
	global $post;
	foreach((get_the_category($post->ID)) as $category)
		$classes[] = 'category-'.$category->category_nicename;
	return $classes;
}
add_filter('post_class', 'category_id_class');
add_filter('body_class', 'category_id_class');


// add category nicenames in body and post class
function page_body_class($pagename) {
	global $post;
	$pagename[] = $post->post_name;
	return $pagename;
}
add_filter('body_class', 'page_body_class');


function browser_body_class( $class ) {
 $arr = array(
 'msie',
 'firefox',
 'webkit',
 'opera'
 );
 $agent = strtolower( $_SERVER['HTTP_USER_AGENT'] );

 foreach( $arr as $name ) {
 if( strpos( $agent, $name ) > -1 ) {
 $class[] = $name;

 preg_match( '/' . $name . '[\/|\s](\d)/i', $agent, $matches );
 if ( $matches[1] )
 $class[] = $name . '-' . $matches[1];

 return $class;
 }
 }

 return $class;
}
add_filter( 'body_class', 'browser_body_class' );

/*
===============================================================
BEFORE REGISTER PAGE
===============================================================
*/
function torn_before_register_page(){
echo '<h1 class="centertext">Welcome to the Fellowship!</h1>';
echo '<p class="centertext">This is the official online community of TheOneRing.net! What is this place? It\'s our own social network where you can meet other ringers, create and join groups, participate in the new site forums, organize line parties and even become an even more devoted TORN member than you\'ve ever been able to before!</p>';
echo '<a style="margin: 0 auto;display: block;width: 200px;font-size: 16px;margin-bottom:20px;" class="centertext button" href="'.site_url().'/login">Sign In Here &raquo;</a>';
echo '<h1 class="centertext">or…</h1>';
}

add_action( 'bp_before_register_page', 'torn_before_register_page', 10, 2 );

/*
===============================================================
BEFORE ACTIVITY PAGE
===============================================================
*/
function torn_before_activity_page() { ?>

			<?php if ( is_user_logged_in() ) : $current_user = wp_get_current_user(); ?>

			
			<div class="jumbotron jumbotron-center">
				<div class="jumbotronwrap">
				<h1>Welcome to the Fellowship!</h1>
					<p>This is the official online community of TheOneRing.net! What is this place? It's our own social network where you can meet other ringers, create and join groups, participate in the new site forums, organize line parties and even become an even more devoted TORN member than you've ever been able to before! Use the quick links below to get started or check out what's happening in the activity feed just below that…</p>
				</div>
			</div>
			
	<div class="quicklinks">
		<div class="sub-container-three-column">
			<div class="quicklink-container">
				<a href="<?php site_url();?>/members/<?php echo $current_user->user_login;?>" class="quicklink">My Profile</a>
			</div>
		</div>
		<div class="sub-container-three-column middle">
			<div class="quicklink-container">
				<a href="http://theonering.tv/groups" class="quicklink">My Groups</a>
			</div>
		</div>
		<div class="sub-container-three-column last">
			<div class="quicklink-container">
				<a href="#" class="quicklink">My Achievements</a>
			</div>
		</div>
		<div class="clear"></div>
	</div>
<?php
endif;
}
add_action( 'bp_before_directory_activity', 'torn_before_activity_page', 10, 2 );


/*
===============================================================
IMAGE RESIZER
===============================================================
*/
/*
 * Resize images dynamically using wp built in functions
 * Victor Teixeira
 *
 * php 5.2+
 *
 * Exemplo de uso:
 * 
 * <?php 
 * $thumb = get_post_thumbnail_id(); 
 * $image = vt_resize( $thumb, '', 140, 110, true );
 * ?>
 * <img src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" />
 *
 * @param int $attach_id
 * @param string $img_url
 * @param int $width
 * @param int $height
 * @param bool $crop
 * @return array
 */
function vt_resize( $attach_id = null, $img_url = null, $width, $height, $crop = false ) {

	// this is an attachment, so we have the ID
	if ( $attach_id ) {
	
		$image_src = wp_get_attachment_image_src( $attach_id, 'full' );
		$file_path = get_attached_file( $attach_id );
	
	// this is not an attachment, let's use the image url
	} else if ( $img_url ) {
	
		 if ( is_multisite() ) /* CHECK IF MULTISITE IS ENABLED */ {
	
	
			
			$file_path = parse_url( $img_url );
			global $blog_id;
			$file_path = $_SERVER['DOCUMENT_ROOT'] .'/wp-content/blogs.dir/' . $blog_id . $file_path['path'];
			
			//$file_path = ltrim( $file_path['path'], '/' );
			//$file_path = rtrim( ABSPATH, '/' ).$file_path['path'];
			
			$orig_size = getimagesize( $file_path );
			
			$image_src[0] = $img_url;
			$image_src[1] = $orig_size[0];
			$image_src[2] = $orig_size[1];
		} /* IF MULTISITE IS NOT ENABLED */
		
		else {
		$file_path = parse_url( $img_url );
			$file_path = $_SERVER['DOCUMENT_ROOT'] . $file_path['path'];
			
			//$file_path = ltrim( $file_path['path'], '/' );
			//$file_path = rtrim( ABSPATH, '/' ).$file_path['path'];
			
			$orig_size = getimagesize( $file_path );
			
			$image_src[0] = $img_url;
			$image_src[1] = $orig_size[0];
			$image_src[2] = $orig_size[1];
		} //END OF MULITSITE CHECK
	}
	
	$file_info = pathinfo( $file_path );
	$extension = '.'. $file_info['extension'];

	// the image path without the extension
	$no_ext_path = $file_info['dirname'].'/'.$file_info['filename'];

	$cropped_img_path = $no_ext_path.'-'.$width.'x'.$height.$extension;

	// checking if the file size is larger than the target size
	// if it is smaller or the same size, stop right here and return
	if ( $image_src[1] > $width || $image_src[2] > $height ) {

		// the file is larger, check if the resized version already exists (for $crop = true but will also work for $crop = false if the sizes match)
		if ( file_exists( $cropped_img_path ) ) {

			$cropped_img_url = str_replace( basename( $image_src[0] ), basename( $cropped_img_path ), $image_src[0] );
			
			$vt_image = array (
				'url' => $cropped_img_url,
				'width' => $width,
				'height' => $height
			);
			
			return $vt_image;
		}

		// $crop = false
		if ( $crop == false ) {
		
			// calculate the size proportionaly
			$proportional_size = wp_constrain_dimensions( $image_src[1], $image_src[2], $width, $height );
			$resized_img_path = $no_ext_path.'-'.$proportional_size[0].'x'.$proportional_size[1].$extension;			

			// checking if the file already exists
			if ( file_exists( $resized_img_path ) ) {
			
				$resized_img_url = str_replace( basename( $image_src[0] ), basename( $resized_img_path ), $image_src[0] );

				$vt_image = array (
					'url' => $resized_img_url,
					'width' => $proportional_size[0],
					'height' => $proportional_size[1]
				);
				
				return $vt_image;
			}
		}

		// no cache files - let's finally resize it
		$new_img_path = image_resize( $file_path, $width, $height, $crop );
		$new_img_size = getimagesize( $new_img_path );
		$new_img = str_replace( basename( $image_src[0] ), basename( $new_img_path ), $image_src[0] );

		// resized output
		$vt_image = array (
			'url' => $new_img,
			'width' => $new_img_size[0],
			'height' => $new_img_size[1]
		);
		
		return $vt_image;
	}

	// default output - without resizing
	$vt_image = array (
		'url' => $image_src[0],
		'width' => $image_src[1],
		'height' => $image_src[2]
	);
	
	return $vt_image;
}

/*
===============================================================
CONNECT USERS TO LINE PARTIES FOR EVENTS
===============================================================
*/
p2p_register_connection_type( array(
    'name' => 'event_attendees',
    'from' => 'event',
    'to' => 'user'
) );

function user_create_rsvp() {
	global $post;
	global $current_user;
	$current_user = wp_get_current_user();
	$from_id = $post->ID;
	$to_id = $current_user->ID;    
	p2p_type( 'event_attendees' )->connect( $from_id, $to_id );		
}

function user_delete_rsvp() {
	global $post;
	global $current_user;
	$current_user = wp_get_current_user();
	$from_id = $post->ID;
	$to_id = $current_user->ID;    
	p2p_type( 'event_attendees' )->disconnect( $from_id, $to_id );		
}