<?php
add_action('init','storefront_options');  
function storefront_options(){
	
// VARIABLES
$themename = "Storefront Xyloto";
$manualurl = 'http://www.storefrontthemes.com';
$shortname = "storefront";

// Populate storefrontThemes option in array for use in theme
global $storefront_options;
$storefront_options = get_option('storefront_options');

$GLOBALS['template_path'] = get_bloginfo('template_directory');

//Access the WordPress Categories via an Array
$storefront_categories = array();  
$storefront_categories_obj = get_categories('hide_empty=0');
foreach ($storefront_categories_obj as $storefront_cat) {
    $storefront_categories[$storefront_cat->cat_ID] = $storefront_cat->cat_name;}
$categories_tmp = array_unshift($storefront_categories, "Show All Posts");    
       
//Access the WordPress Pages via an Array
$storefront_pages = array();
$storefront_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($storefront_pages_obj as $storefront_page) {
    $storefront_pages[$storefront_page->ID] = $storefront_page->post_name; }
$storefront_pages_tmp = array_unshift($storefront_pages, "Select a page:");

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center");
$options_slide_interval = array("300","400","500","600","700","800","900","1000","1100","1200","1300","1400","1500","1600","1700","1800","1900","2000");

$animationspeeds = array("300","400","500","600","700","800","900","1000","1100","1200","1300","1400","1500","1600","1700","1800","1900","2000");

$transspeeds = array("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15");

$homepage_carousel = array("" => "Don't Use the Carousel","carousel-show-products.php" => "Show Products","carousel-show-categories.php" => "Show Categories","carousel-show-posts.php" => "Show Posts");

// Select box border-radius
$options_pixels = array("0px","1px","2px","3px","4px","5px","6px","7px","8px","9px","10px","11px","12px","13px","14px","15px","16px","17px","18px","19px","20px");

//More Options
$all_uploads_path = get_bloginfo('url') . '/wp-content/uploads/';
$all_uploads = get_option('storefront_uploads');
$other_entries = array("Select a number:","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$fonts = array("Abel","Antic","Changa One","Linden Hill","Quicksand","Terminal Dosis","Coda","Podkova","Questrial","Andika","Actor","Josefin Sans","News Cycle","Quattrocento","Josefin Slab","Yanone Kaffeesatz","Kreon","Marvel");
$fontsizes = array("11px","12px","13px","14px","16px","18px","20px","22px","24px","26px","28px","30px","32px","36px","40px","44px","48px","52px","56px","60px");
// THESE ARE THE DIFFERENT FIELDS
$options = array();

/*
======================
General
======================
*/

$options[] = array( "name" => "Settings","class" => "settings",
					"type" => "heading");
					

$options[] = array( "name" => "Use ajax loading?",
					"desc" => "Uncheck this box to turn off the ajax page loading. NOTE: If you do this, your music player not persist when browsing pages.",
					"id" => $shortname."_use_ajax",
					"std" => "true",
					"type" => "checkbox");
					
/*
======================
Style
======================
*/

$options[] = array( "name" => "Style","class" => "style",
					"type" => "heading");
					
$options[] = array( "name" => "Theme Style",
					"desc" => "Choose between our two default styles below. It is recommended that you first preview the site without any adjustments to colors or background images before proceeding.</strong>",
					"id" => $shortname."_theme_style",
					"std" => "Light Theme",
					"type" => "select",
					"options" => array("Light Theme", "Coldplay Theme") );  

$options[] = array( "name" => "Left Background Texture",
					"desc" => "Select a texture for left pane. This will appear above the background color you set on the colors tab.<br /><strong>NOTE: Some textures may require a darker background color to show up well.</strong>",
					"id" => $shortname."_left_bg_texture",
					"std" => "none",
					"type" => "select",
					"options" => array("none", "sand", "wood", "speckled", "crosshatch", "carpet") );
					
$options[] = array( "name" => "Left Background Image",
					"desc" => "You can upload your own image for the left pane here. The image will be tiled and overwrite the texture field above. (http://yoursite.com/logo.png)",
					"id" => $shortname."_left_bg_image",
					"std" => "",
					"type" => "upload");

$options[] = array( "name" => "Right Background Texture",
					"desc" => "Select a texture for right pane. This will appear above the background color you set on the colors tab.<br /><strong>NOTE: Some textures may require a darker background color to show up well.</strong>",
					"id" => $shortname."_right_bg_texture",
					"std" => "none",
					"type" => "select",
					"options" => array("none", "sand", "wood", "speckled", "crosshatch", "carpet") );
					
$options[] = array( "name" => "Right Background Image",
					"desc" => "You can upload your own image for the right pane here. The image will be tiled and overwrite the texture field above. (http://yoursite.com/logo.png)",
					"id" => $shortname."_right_bg_image",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");
                    
/*
======================
Logo
======================
*/

$options[] = array( "name" => "Logo","class" => "image",
					"type" => "heading");
					
$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. The logo will have a maximum width of 180px. (http://yoursite.com/logo.png)",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Logo Text",
                    "desc" => "If you are using text instead of an image, enter your logo text here.",
                    "id" => $shortname."_logo_text",
                    "std" => "Your Logo",
                    "type" => "text");
					
$options[] = array( "name" => "Logo Font",
					"desc" => "Select which font you would like to use for your text-based logo.",
					"id" => $shortname."_logo_font",
					"type" => "select",
					"std" => "Marvel",
					"options" => $fonts);
					
$options[] = array( "name" => "Logo Font Size",
					"desc" => "Select a font-size for your text-based logo.",
					"id" => $shortname."_logo_font_size",
					"type" => "select",
					"std" => "36px",
					"options" => $fontsizes);
					
$options[] = array( "name" =>  "Logo Color",
					"desc" => "Customize the color of your site logo text.<br /><strong>NOTE: This is only if you are not using your own image for a logo, but rather just text.</strong>",
					"id" => $shortname."_logo_color",
					"std" => "",
					"type" => "color");
					
$options[] = array( "name" =>  "Logo Hover Color",
					"desc" => "Customize the color of your site logo text when hovered.<br /><strong>NOTE: This is only if you are not using your own image for a logo, but rather just text.</strong>",
					"id" => $shortname."_logo_hover_color",
					"std" => "",
					"type" => "color");

					
/*
======================
Colors
======================
*/

$options[] = array( "name" => "Colors","class" => "colors",
					"type" => "heading");
					
$options[] = array( "name" => "Button Color",
					"desc" => "Select a color for the base of your gradient buttons.</strong>",
					"id" => $shortname."_button_color",
					"std" => "sand",
					"type" => "select",
					"options" => array("blue", "green", "red", "orange", "pink", "grey") );
	
$options[] = array( "name" =>  "Left Pane Background",
					"desc" => "Customize the background color of the left pane.",
					"id" => $shortname."_left_bg_color",
					"std" => "",
					"type" => "color");
$options[] = array( "name" =>  "Right Pane Background",
					"desc" => "Customize the background color of the right pane.",
					"id" => $shortname."_right_bg_color",
					"std" => "",
					"type" => "color");
$options[] = array( "name" =>  "Left Pane Text Color",
					"desc" => "Customize the color of your left pane text.",
					"id" => $shortname."_left_text_color",
					"std" => "",
					"type" => "color");	
$options[] = array( "name" =>  "Right Pane Text Color",
					"desc" => "Customize the color of your right pane text.",
					"id" => $shortname."_right_text_color",
					"std" => "",
					"type" => "color");
$options[] = array( "name" =>  "Left Pane Links",
					"desc" => "Customize the color of links.",
					"id" => $shortname."_left_link_color",
					"std" => "",
					"type" => "color");
$options[] = array( "name" =>  "Right Pane Links",
					"desc" => "Customize the color of links.",
					"id" => $shortname."_right_link_color",
					"std" => "",
					"type" => "color");
$options[] = array( "name" =>  "Nav Hover Color",
					"desc" => "Customize the background color of nav items when hovered over.",
					"id" => $shortname."_nav_hover_color",
					"std" => "",
					"type" => "color");			

/*
======================
Typography
======================
*/

$options[] = array( "name" => "Typography","class" => "typography",
					"type" => "heading"); 
					
$options[] = array( "name" => "Heading Font",
					"desc" => "Select which font you would like to use for your headings.",
					"id" => $shortname."_heading_font",
					"type" => "select",
					"std" => "Marvel",
					"options" => $fonts);
					
$options[] = array( "name" => "H1 Heading Font Size",
					"desc" => "Select a font-size for your H1 heading tags.",
					"id" => $shortname."_heading_one_font_size",
					"type" => "select",
					"std" => "32px",
					"options" => $fontsizes);
					
$options[] = array( "name" => "H2 Heading Font Size",
					"desc" => "Select a font-size for your H2 heading tags.",
					"id" => $shortname."_heading_two_font_size",
					"type" => "select",
					"std" => "26px",
					"options" => $fontsizes);

$options[] = array( "name" => "Body Font",
					"desc" => "Select which font you would like to use for your main body text.",
					"id" => $shortname."_body_font",
					"type" => "select",
					"std" => "Marvel",
					"options" => $fonts);
					
$options[] = array( "name" => "Body Font Size",
					"desc" => "Select a font-size for your body.",
					"id" => $shortname."_body_font_size",
					"type" => "select",
					"std" => "16px",
					"options" => $fontsizes);
					
/*
======================
Navigation
======================
*/

$options[] = array( "name" => "Navigation","class" => "navigation",
					"type" => "heading");
					

$options[] = array( "name" => "Show search in navigation?",
					"desc" => "Check this if you want to show a search field in the navigation.",
					"id" => $shortname."_show_nav_search",
					"std" => "true",
					"type" => "checkbox");

$options[] = array( "name" => "Show music player in navigation and on single product pages?",
					"desc" => "Check this if you want to show the music player in the navigation. This is necessary if you want to show music previews with your products.",
					"id" => $shortname."_show_nav_player",
					"std" => "true",
					"type" => "checkbox");
					
/*
======================
Blog
======================
*/

$options[] = array( "name" => "Blog Settings","class" => "blog",
					"type" => "heading");
                    
$options[] = array( "name" => "Blog Entry Content",
					"desc" => "Choose to show either the full post or an excerpt from each entry on the main blog page.",
					"id" => $shortname."_blog_content",
					"type" => "select",
					"options" => array("Full Post" => "Full Post", "Excerpt" => "Excerpt") );


//endif;                                                           
update_option('storefront_template',$options);      
update_option('storefront_themename',$themename);   
update_option('storefront_shortname',$shortname);
update_option('storefront_manual',$manualurl);

$url =  get_bloginfo('template_url') . '/functions/images/';
}
?>