<?php if ( have_posts() ) : ?>

	<?php if ( is_archive() ) { ?>
	<div id="archive-title">
		<?php
		// If this is a category archive
		if (is_category()) {
			printf( __('<h1>Archive for the &#8216;%1$s&#8217; Category</h1>'), single_cat_title('', false) );
		// If this is a tag archive
		} elseif (is_tag()) {
			printf( __('<h1>Posts Tagged &#8216;%1$s&#8217;</h1>'), single_tag_title('', false) );
		// If this is a daily archive
		} elseif (is_day()) {
			printf( __('<h1>Archive for %1$s</h1>'), get_the_time(__('F jS, Y')) );
		// If this is a monthly archive
		} elseif (is_month()) {
			printf( __('<h1>Archive for %1$s</h1>'), get_the_time(__('F, Y')) );
		// If this is a yearly archive
		} elseif (is_year()) {
			printf( __('<h1>Archive for %1$s</h1>'), get_the_time(__('Y')) );
		// If this is an author archive
		} elseif (is_author()) {
			_e('<h1>Author Archive</h1>');
		// If this is a paged archive
		} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
			_e('<h1>Blog Archives</h1>');
		}
		?>
	</div>
	<?php } //END CHECK FOR ARCHIVE ?>

	<?php while ( have_posts() ) : the_post(); ?>
		<div class="post">
			<h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
			<span class="blog-time" style="float:left;"><?php the_time('F j, Y'); ?> <span class="lowercase">at</span> <?php the_time('g:i a'); ?>&nbsp;-&nbsp;</span>
			<?php the_content();?>
			<span class="blog-categories"><?php _e( 'Posted in ', 'storefront' ); the_category(', '); _e( ' on ', 'storefront' ); the_time('F j, Y'); _e( ' by ', 'storefront' ); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
						<?php printf(get_the_author() ); ?>
					</a></span>
		</div>
			
	<?php endwhile;?>
	
		<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentyten' ) ); ?></div>
		<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?></div>
		<div class="clear"></div>
<?php else : ?>

		<h1 class="entry-title"><?php _e( 'Nothing Found', 'storefront' ); ?></h1>
		<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'storefront' ); ?></p>
		<?php get_search_form(); ?>

<?php endif; ?>